Name:		perl-XML-DTDParser
Version:	2.01
Release:	11%{?dist}
Summary:	Quick and dirty DTD parser
License:	GPL+ or Artistic
Group:		Development/Libraries
URL:		http://search.cpan.org/dist/XML-DTDParser/
Source0:	http://www.cpan.org/authors/id/J/JE/JENDA/XML-DTDParser-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch

# build requirements
BuildRequires:	perl(ExtUtils::MakeMaker)

# module requirements
BuildRequires:	perl(Cwd)
BuildRequires:	perl(Exporter)
BuildRequires:	perl(File::Spec)
BuildRequires:	perl(FileHandle)

# test requirements
# Data::Compare is optional and would need to be dropped for epel
BuildRequires:	perl(Data::Compare)
BuildRequires:	perl(Test)

Requires:	perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This module parses a DTD file and creates a data structure containing info
about all tags, their allowed parameters, children, parents, optionality,
and others.

%prep
%setup -q -n XML-DTDParser-%{version}

%{__sed} -i 's/\r//' README

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}



%install
rm -rf $RPM_BUILD_ROOT

make pure_install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/XML/
%{_mandir}/man3/XML::DTDParser.3pm*

%changelog
* Fri Aug 29 2014 Jitka Plesnikova <jplesnik@redhat.com> - 2.01-11
- Perl 5.20 rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.01-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Petr Pisar <ppisar@redhat.com> - 2.01-9
- Perl 5.18 rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.01-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.01-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.01-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jun 16 2012 Petr Pisar <ppisar@redhat.com> - 2.01-5
- Perl 5.16 rebuild

* Mon Apr  9 2012 Bill Pemberton <wfp5p@virginia.edu> - 2.01-4
- change files section to list just XML directory

* Wed Feb 22 2012 Bill Pemberton <wfp5p@virginia.edu> - 2.01-3
- list files explictly
- use DESTDIR instead of RPM_INSTALL_ROOT on install
- add comments about why the various BuildRequires are there

* Mon Feb 20 2012 Bill Pemberton <wfp5p@virginia.edu> - 2.01-2
- Only fix line endings on README
- Add a few BuildRequires

* Thu Feb 16 2012 Bill Pemberton <wfp5p@virginia.edu> 2.01-1
- Initial spec
